heapnode_s Struct Reference

One node on the heap. More...

## Data Fields

void * | data
| Application data at this node.
int32 | val
| Associated with above application data; according to which heap is sorted (in ascending order)
int32 | nl
int32 | nr
| left/right descendants of this node (for balancing heap)
struct heapnode_s * | l
| Root of left descendant heap.
struct heapnode_s * | r
| Root of right descendant heap.

## Detailed Description

One node on the heap.

Definition at line 77 of file heap.c.

## Field Documentation

## data

void* heapnode_s::data

Application data at this node.

Definition at line 78 of file heap.c.

Referenced by heap_pop(), and heap_top().

## l

struct heapnode_s* heapnode_s::l

Root of left descendant heap.

Definition at line 82 of file heap.c.

## nl

int32 heapnode_s::nl

Definition at line 81 of file heap.c.

## nr

int32 heapnode_s::nr

left/right descendants of this node (for balancing heap)

Definition at line 81 of file heap.c.

Referenced by heap_size().

## r

struct heapnode_s* heapnode_s::r

Root of right descendant heap.

Definition at line 83 of file heap.c.

## val

int32 heapnode_s::val

Associated with above application data; according to which heap is sorted (in ascending order)

Definition at line 79 of file heap.c.

Referenced by heap_pop(), and heap_top().

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/heap.c